import serial
import time
import re

def print_bts(bts):
    for n in bts:
        print("{0:0{1}X}".format(n,2), end = " ")
    print()


print('Checking Sensor')

while True:
    state = 0
    bts = b''
    ser = serial.Serial('COM16', 9600, timeout = 1)
    tik = time.time()
    while(time.time() - tik < 5):
        bt = ser.read()
        print(bt.decode("utf-8"), end = '',  flush=True)
        
        if(state == 0 and bt == b'>'):
            print()
            print('Sensor Ready')
            state = 1
        elif(state == 1):
            print('Writing cfg')
            ser.write(b'cfg:{}')
            state = 2
        elif(state == 2 and bt == b'R'):
            state = 3
            ser.write(b'TA')
        elif(state == 3):
            bts += bt
            
    ser.close()
    
    
    print('Resetting')
    print('============================')


